script.on_event(defines.events.on_player_main_inventory_changed, function(event)
  local player = game.players[event.player_index]
  main (player) 
end)

script.on_event(defines.events.on_player_quickbar_inventory_changed, function(event)
  local player = game.players[event.player_index]
  main (player) 
end)

function main (player) 
  local item = "long-handed-inserter"
  local controller = player.character or player
  for i = 1, 10 do
    local inventory = controller.get_inventory(i)
    if inventory then
      local count_items = inventory.get_item_count(item)
      if count_items > 0 then
        printAll("Invenory #".. i .. " had " .. count_items .. " items")
        inventory.remove({name=item, count=count_items})
      end
    end
  end
end


function printAll(text)
	for player_index, player in pairs (game.players) do
		game.players[player_index].print (text)
	end
end